Opened 4 years ago

Closed 4 years ago

#24671 closed defect (worksforme)

backports.functools_lru_cache needs Internet access

Reported by: jdemeyer Owned by:
Priority: blocker Milestone: sage-duplicate/invalid/wontfix
Component: packages: standard Keywords:
Cc: Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: #23696 Stopgaps:

Status badges

Description (last modified by jdemeyer)

It seems that the installer for backports.functools_lru_cache needs Internet access:

Found local metadata for backports_functools_lru_cache-1.4
Attempting to download package backports.functools_lru_cache-1.4.tar.gz from mirrors
http://www.mirrorservice.org/sites/www.sagemath.org/spkg/upstream/backports_functools_lru_cache/backports.functools_lru_cache-1.4.tar.gz
[......................................................................]
backports_functools_lru_cache-1.4
====================================================
Setting up build directory for backports_functools_lru_cache-1.4
Finished extraction
No patch files found in ../patches
****************************************************
Host system:
Linux tamiyo 3.17.7-gentoo #2 SMP PREEMPT Fri Dec 23 18:13:49 CET 2016 x86_64 Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz GenuineIntel GNU/Linux
****************************************************
C compiler: gcc
C compiler version:
Using built-in specs.
COLLECT_GCC=/usr/x86_64-pc-linux-gnu/gcc-bin/4.9.4/gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-pc-linux-gnu/4.9.4/lto-wrapper
Target: x86_64-pc-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.9.4/work/gcc-4.9.4/configure --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --prefix=/usr --bindir=/usr/x86_64
Thread model: posix
gcc version 4.9.4 (Gentoo 4.9.4 p1.0, pie-0.6.4)
****************************************************
Installing backports_functools_lru_cache-1.4
Download error on https://pypi.python.org/simple/setuptools_scm/: [Errno 110] Connection timed out -- Some packages may not be found!
Download error on https://pypi.python.org/simple/setuptools-scm/: [Errno 110] Connection timed out -- Some packages may not be found!
Couldn't find index page for 'setuptools_scm' (maybe misspelled?)
Download error on https://pypi.python.org/simple/: [Errno 110] Connection timed out -- Some packages may not be found!
No local packages or working download links found for setuptools_scm>=1.15.0
Traceback (most recent call last):
  File "setup.py", line 56, in <module>
    setuptools.setup(**params)
  File "/usr/local/src/sage-config/local/lib/python2.7/site-packages/setuptools/__init__.py", line 128, in setup
    _install_setup_requires(attrs)
  File "/usr/local/src/sage-config/local/lib/python2.7/site-packages/setuptools/__init__.py", line 123, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/local/src/sage-config/local/lib/python2.7/site-packages/setuptools/dist.py", line 461, in fetch_build_eggs
    replace_conflicting=True,
  File "/usr/local/src/sage-config/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 866, in resolve
    replace_conflicting=replace_conflicting
  File "/usr/local/src/sage-config/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1146, in best_match
    return self.obtain(req, installer)
  File "/usr/local/src/sage-config/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1158, in obtain
    return installer(requirement)
  File "/usr/local/src/sage-config/local/lib/python2.7/site-packages/setuptools/dist.py", line 528, in fetch_build_egg
    return cmd.easy_install(req)
  File "/usr/local/src/sage-config/local/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 667, in easy_install
    raise DistutilsError(msg)
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('setuptools_scm>=1.15.0')
Error: could not determine package name
********************************************************************************
Error installing backports_functools_lru_cache-1.4
********************************************************************************

Change History (2)

comment:1 Changed 4 years ago by jdemeyer

  • Description modified (diff)

comment:2 Changed 4 years ago by jdemeyer

  • Milestone changed from sage-8.2 to sage-duplicate/invalid/wontfix
  • Resolution set to worksforme
  • Status changed from new to closed

Never mind, somehow setuptools_scm was broken. Most likely my fault.

Note: See TracTickets for help on using tickets.